﻿<?php
import namespace System;
import namespace Zennolab:::CommandCenter;
import namespace Emulations;

class Step1
{
	public static function Execute($instance)
	{
		$instance->ClearCookie();

		$tb = $instance->MainTab;
		if (($tb->IsVoid) || ($tb->IsNull)) return -1;
		if ($tb->IsBusy) $tb->WaitDownloading();
		$tb->Navigate("http://lessons.zennolab.com/en/inputs ");
		if ($tb->IsBusy) $tb->WaitDownloading();
			
		// Click the left mouse button on the first element
		$he = $instance->GetTabByAddress("page")->GetDocumentByAddress("0")->FindElementByAttribute("input:checkbox", "fulltag", "input:checkbox", "text", 0);
		if ($he->IsVoid) return -1;
		Emulator::LeftMouseClick($instance->MainTab->Handle, $he);
			
		// Click the left mouse button on the second element
		$he = $instance->GetTabByAddress("page")->GetDocumentByAddress("0")->FindElementByAttribute("input:checkbox", "fulltag", "input:checkbox", "text", 1);
		if ($he->IsVoid) return -1;
		Emulator::LeftMouseClick($instance->MainTab->Handle, $he);
			
		// Search text aria
		$he = $instance->GetTabByAddress("page")->GetDocumentByAddress("0")->FindElementByName("text");
		if ($he->IsVoid) return -1;
			
		// Necessarily put the focus
		$he->Focus(); 
		// Type a string with delay
		Emulator::SendString($instance->MainTab->Handle, "Hello! How are you?", 100, 200);
			
		// Necessarily put the focus
		$he->Focus();
		// Press enter down
		Emulator::EnterDown($instance->MainTab->Handle);
		
		// Necessarily put the focus
		$he->Focus(); 
		// Type one character
		Emulator::SendChar($instance->MainTab->Handle, 'c');
		
		// Necessarily put the focus
		$he->Focus();
		// Press enter down
		Emulator::EnterDown($instance->MainTab->Handle);
			
		// Necessarily put the focus
		$he->Focus();
		// Type the text with the press enter down
		Emulator::SendText($instance->MainTab->Handle, "Hello!\nHow\nare\nyou?", 100, 200);
		// Remove focus from the element to avoid recoding useless actions.
		$he->RiseEvent("blur", false);

		
		return 0;
	}
}
?>



